function out = getNumGenes(filename)

dharwadker = [ 4, 6, 6, 7, 8, 8, 10, 11, 11, 11, 12, 14, 16, 17, 20, 20, 30, 34, 60, 450 ];
iscas = 2 .* [ 5, 36, 41, 60, 41, 33, 233, 50, 178, 32, 207 ];

out = false;
[dummy, filename] = fileparts(filename);

[A, COUNT] = sscanf(filename,'dharwadker%02g_');
if (COUNT==1 && A > 0 && A <= numel(dharwadker))
  out = dharwadker(A);
end

[A, COUNT] = sscanf(filename,'comb%02g_');
if (COUNT==1 && A > 0 && A <= numel(iscas))
  out = iscas(A);
end

end
